gliv(1)

NOM
gliv - Un visionneur d'images utilisant OpenGL

SYNOPSIS
gliv [OPTIONS]... [FICHIERS]...

DESCRIPTION
gliv utilise gdk-pixbuf pour charger les images et OpenGL pour les afficher. Il permet de faire des déplacements, des rotations, zoomer et le diaporama.

OPTIONS
Les options sont initialement positionnées à leur valeur par défaut, "off" pour les drapeaux, puis lues soit dans ~/.glivrc soit /etc/glivrc soit un fichier de configuration passé en option, et finalement lues à partir de la ligne de commande.
Ne pas mettre l'argument pour une option attendant "on|off" est équivalent à le positionner à "on", donc --truc est identique à --truc=on si truc est un paramètre on|off (drapeau).

-h, --help
    Affiche l'aide et quitte.

-V, --version
    Affiche le numéro de version et quitte.

-a, --add-all[=on|off]
    Ajouter tous les fichiers du répertoire. Avec cette option, lorsque vous ouvrez un fichier sur la ligne de commande ou avec la boîte de dialogue Ouvrir, tous les autres fichiers du dossier sont ajoutés aussi.

-R, --recursive[=on|off]
    Parcours récursif des dossiers. Si gliv essaie de charger un dossier, il chargera aussi chaque image contenue dans tous les sous-dossiers.

-S, --sort[=on|off]
    Trier la liste des images. Les images seront triées avant le diaporama.

-s, --shuffle[=on|off]
    Mélanger la liste des images. Les images seront mélangées avant le diaporama.

-F, --force-load[=on|off]
    Essayer de charger tous les fichiers. Pendant le chargement d'un fichier, le chargeur est choisi selon l'extension du nom de fichier de façon à accélérer les temps de chargement. Si l'extension est inconnue, le fichier est ignoré, avec cette option gliv essaiera toujours d'ouvrir le fichier.

-C, --client[=on|off]
    Se connecter à un gliv déjà ouvert, ajouter à la liste. Avec cette option, gliv ouvrira les fichiers passés en paramètre dans la fenêtre du serveur gliv. Cela marche aussi avec l'option -0. Le serveur gliv est la dernière instance lancée ou celle qui a été choisie en utilisant le menu Options.

-c, --client-clear[=on|off]
    Se connecter à un gliv déjà ouvert, remplacer la liste. Cette option est semblable à --client à part que la liste spécifiée au client remplace celle sur le serveur, au lieu d'être ajoutée.

-e, --build-menus[=on|off]
    Désactiver la construction des menus d'images au démarrage. Désactiver les menus d'images au démarrage le rend plus rapide, surtout quand il y a beaucoup de fichiers sur la ligne de commande.

-g, --glivrc[=FILE]
    Utiliser ce fichier de configuration ou aucun. Utilisez cette option pour désactiver la lecture d'un fichier de configuration. Avec un fichier en argument il sera utilisé comme fichier de configuration.

-w, --slide-show[=on|off]
    Démarrer avec le diaporama. De cette manière vous n'aurez pas à le démarrer manuellement avec le menu.

-0, --null[=on|off]
    Lire des noms de fichiers séparés par des zéros. Cette option peut être utilisée avec "find -print0" ou avec "tr '\n' '\0'" quand la liste des noms de fichiers est très longue. Contrairement à xargs(1) le nombre de fichiers autorisé est illimité.

-o, --collection[=FILE]
    Créer une collection. Avec cette option, gliv créera une collection à partir des fichiers chargés et l'enverra sur la sortie standard ou dans le fichier passé en paramètre.

-G, --geometry=GEOMETRY
    Géométrie par défaut de la fenêtre. Cette option permet de spécifier la position et les dimensions de la fenêtre de gliv. On attend une geometrie en argument au format de XParseGeometry(3X11) comme : 640x480+20-30 par exemple.

COLLECTIONS
Depuis la version 1.8, gliv utilise un format de fichier appelé "Collection GLiv". Il contient une liste d'images ainsi que leurs vignettes, de cette manière, quand vous chargez une collection la reconstruction des menus d'images est plus rapide car elle n'a pas à créer les vignettes.
gliv permet aussi la décompression de manière transparente, les collections peuvent donc être compressées en bzip2, gzip ou compress(1) tant que vous avez le décompresseur approprié.

CONTRÔLES
ESC, q : Quitter
f : Plein écran/fenêtre
+/=/- : Agrandir plus/plus/moins
n/p : Image suivante/précédente
Pause : Démarrer /Arrêter le diaporama
l : Réduire l'image à la taille de la fenêtre
M : Agrandir l'image à la taille de la fenêtre
m : Remplissage de la fenêtre par l'image
r : Réinitialiser la position et la taille de l'image
b : Basculer l'affichage de la barre de menus
i : Basculer l'affichage de la barre d'informations
s : Basculer l'affichage des barres de défilement
a : Basculer l'affichage du quadrillage alpha
h : Basculer l'affichage de l'aide
w : Basculer l'affichage des fenêtres flottantes
o : Ouvrir des fichiers
g : Afficher le sélecteur d'images
t : Afficher les options
d : Cacher le curseur
u : Annuler
y : Refaire
c : Effacer l'historique
Suppr : Supprimer le fichier courant
C-haut : Rotation de +90 degrés
C-bas : Rotation de -90 degrés
C-gauche : Rotation de +0.1 degré
C-droite : Rotation de -0.1 degré
z : Miroir horizontal
e : Miroir vertical
Le premier bouton de la souris et les touches fléchées servent à déplacer l'image sauf si la touche Contrôle est enfoncée. Auquel cas l'image subira une rotation autour du centre de la fenêtre.
La roulette zoom sur l'image, et passe à l'image précédente/suivante quand le bouton est appuyé.
Vous pouvez également zoomer en faisant glisser la souris verticalement en maintenant enfoncés la touche Majuscule et le premier bouton.
Les touches Espace et d'effacement agissent comme n et p.
Dessinez un rectangle avec le bouton trois pour l'agrandir.

FICHIER
~/.glivrc - Ce fichier n'est absolument pas obligatoire

AUTEUR
Guillaume Chazarain <guichaz@gmail.com>
Consultez http://guichaz.free.fr/gliv